package com.printer.sdk.android.update.util;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Bitmap.Config;
import android.util.Log;

import com.printer.bluetooth.android.BluetoothPrinter;
import com.printer.bluetooth.android.FontProperty;
import com.printer.bluetooth.android.PrintGraphics;
import com.printer.bluetooth.android.PrinterType;
import com.printer.bluetooth.android.Table;
import com.printer.sdk.android.update.R;

public class PrintUtils {
	public static void printNote(Resources resources, BluetoothPrinter mPrinter) {
		mPrinter.init();
		StringBuffer sb = new StringBuffer();
		//mPrinter.setPrinter(BluetoothPrinter.COMM_LINE_HEIGHT, 80);

		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_CENTER);
		// ֺźһ
		mPrinter.setCharacterMultiple(1, 1);
		mPrinter.printText(resources.getString(R.string.shop_company_title) + "\n");

		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		// ֺʹĬ
		mPrinter.setCharacterMultiple(0, 0);
		sb.append(resources.getString(R.string.shop_num) + "574001\n");
		sb.append(resources.getString(R.string.shop_receipt_num) + "S00003169\n");
		sb.append(resources.getString(R.string.shop_cashier_num) + "s004_s004\n");
		
		sb.append(resources.getString(R.string.shop_receipt_date) + "2012-06-17\n");
		sb.append(resources.getString(R.string.shop_print_time) + "2012-06-17 13:37:24\n");
		mPrinter.printText(sb.toString()); //ӡ
		
		printTable1(resources, mPrinter); //ӡ
		
		sb = new StringBuffer();
		if (mPrinter.getCurrentPrintType() == PrinterType.TIII || mPrinter.getCurrentPrintType() == PrinterType.T5) {
			sb.append(resources.getString(R.string.shop_goods_number) + "                6.00\n");
			sb.append(resources.getString(R.string.shop_goods_total_price) + "                35.00\n");
			sb.append(resources.getString(R.string.shop_payment) + "                100.00\n");
			sb.append(resources.getString(R.string.shop_change) + "                65.00\n");
		}else{
			sb.append(resources.getString(R.string.shop_goods_number) + "                                6.00\n");
			sb.append(resources.getString(R.string.shop_goods_total_price) + "                                35.00\n");
			sb.append(resources.getString(R.string.shop_payment) + "                                100.00\n");
			sb.append(resources.getString(R.string.shop_change) + "                                65.00\n");
		}
		
		sb.append(resources.getString(R.string.shop_company_name) + "\n");
		sb.append(resources.getString(R.string.shop_company_site) + "www.jiangsu1510.com\n");
		sb.append(resources.getString(R.string.shop_company_address) + "\n");
		sb.append(resources.getString(R.string.shop_company_tel) + "0574-88222999\n");
		sb.append(resources.getString(R.string.shop_Service_Line) + "4008-567-567 \n");
		if (mPrinter.getCurrentPrintType() == PrinterType.TIII || mPrinter.getCurrentPrintType() == PrinterType.T5) {
			sb.append("==============================\n");
		}else{
			sb.append("==============================================\n");
		}
		mPrinter.printText(sb.toString());
		
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_CENTER);
		mPrinter.setCharacterMultiple(0, 1);
		mPrinter.printText(resources.getString(R.string.shop_thanks) + "\n");
		mPrinter.printText(resources.getString(R.string.shop_demo) + "\n\n\n");
	}
	
	public static void printDrawToPOS76(Resources resources, BluetoothPrinter mPrinter) {
//		mPrinter.init();
//
//		// ͼƬ200
//		//mPrinter.setCurrentPrintType(PrinterType.T5);
//		PrintGraphics pg = new PrintGraphics();
//		pg.initCanvas(210);
//		/*
//		 * ʼʣĬУ 1 2ûɫΪɫ 3ͼΪģʽ
//		 */
//		pg.initPaint();
//
//		/*
//		 * ͼƬ: drawImage(float x, float y, String path)
//		 * (x,y)ָͼƬ϶ꡣ
//		 */
//		pg.drawImage(0, 0, "/sdcard/tiii.bmp");// SDϵͼƬ
//		mPrinter.printImage(pg.getCanvasImage()); //ӡϵͼ
//		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE, 3);//3
		
		// ͼƬ200
		PrintGraphics pg = new PrintGraphics();
		//pg.init(PrinterType.T5);

		pg.initCanvas(200);
		/*
		 * ʼʣĬУ 1 2ûɫΪɫ 3ͼΪģʽ
		 */
		pg.initPaint();

		/*
		 * ͼƬ: drawImage(float x, float y, String path)
		 * (x,y)ָͼƬ϶ꡣ
		 */
		Bitmap logo = BitmapFactory.decodeResource(resources, R.drawable.goodwork);
		//mPrinter.printImageDot(logo,1);
		pg.drawImage(0, 0, logo);// SDϵͼƬ
		mPrinter.printImageDot(pg.getCanvasImage(),1,35);
	}

	public static void printDrawToT9(Resources resources, BluetoothPrinter mPrinter) {
		mPrinter.init();
		PrintGraphics pg = new PrintGraphics();

		//pg.initCanvas(550);
		/*
		 * ʼʣĬУ 1 2ûɫΪɫ 3ͼΪģʽ
		 */
		//pg.initPaint();
		// init pg.initCanvas(550)pg.initPaint(), T9ӡΪ72mm,Ϊ47mm.
		pg.init(PrinterType.T9);

		/*
		 * ͼƬ: drawImage(float x, float y, String path)
		 * (x,y)ָͼƬ϶ꡣ
		 */
		pg.drawImage(0, 0, "/sdcard/tiii.bmp");

		// ʵ
		FontProperty fp = new FontProperty();

		fp.setFont(false, false, false, false, 28, null);
		pg.setFontProperty(fp); // ͨʼû
		
		/*
		 * ıdrawTaxt(float x, float y, String nStr)
		 * (x,y)ָı꣬yܵ0
		 */
		pg.drawText(160, 80, resources.getString(R.string.company_name));

		// ȺsetLinewidth(float w)
		pg.setLineWidth(8);
		/*
		 * drawLine(float x1, float y1, float x2, float y2)
		 * (x1,y1)ʾ꣬(x2,y2)ʾյ
		 */
		pg.drawLine(0, 180, 200, 180);

		// ע⣺ıʱһҪȻָ0
		pg.setLineWidth(0);
		
		fp.setFont(false, false, false, false, 18, null);
		pg.setFontProperty(fp);
		
		pg.drawText(20, 100, resources.getString(R.string.text_common_point18));
		pg.drawText(20, 120, resources.getString(R.string.text_common_point18));
		pg.drawText(20, 140, resources.getString(R.string.text_common_point18));
		pg.drawText(20, 160, resources.getString(R.string.text_common_point18));

		fp.setFont(false, false, true, false, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 210, resources.getString(R.string.text_underLine_point18));

		fp.setFont(false, false, false, true, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 240, resources.getString(R.string.text_strike_point18));

		fp.setFont(true, true, true, true, 24, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 290, resources.getString(R.string.text_point24));

		pg.setLineWidth(2);
		pg.drawLine(0, 0, 200, 300);
		/*
		 * ԲԲdrawEllips(float x1, float y1, float x2, float y2)
		 * (x1,y1)ԲӾλ͵ϵ (x2,y2)ԲӾλ͵µ
		 */

		pg.setLineWidth(0);
		fp.setFont(false, false, false, false, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(50, 350, resources.getString(R.string.company_name));
		fp.setFont(false, false, false, false, 24, null);
		pg.setFontProperty(fp);
		pg.drawText(160, 380, resources.getString(R.string.company_name));

		// pg.printPng();

		//getCanvasImageûͼ,printImageӡͼ. 
		mPrinter.printImage(pg.getCanvasImage()); 
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE, 3); //3
	}
	
	public static void printImage(Resources resources, BluetoothPrinter mPrinter) {
		mPrinter.init();
		PrintGraphics pg = new PrintGraphics();
		
		//ʹinitӡ,ڲinitCanvas(576)  initPaint();
		pg.init(PrinterType.T9);
		
		Bitmap logo = BitmapFactory.decodeResource(resources, R.drawable.goodwork);
		pg.drawImage(50, 0, logo);
		
		pg.drawImage(50, logo.getHeight() + 10, "/sdcard/logo.jpg");
		
		//getCanvasImageûͼ,printImageӡͼ. 
		mPrinter.printImage(pg.getCanvasImage()); 
		
		//pg.printDrawDot();
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE, 2); //2
	}

	public static Bitmap ConvertGrayImg(Bitmap img1)    
    {    
        int width=img1.getWidth();
        int height=img1.getHeight();    
        int[] pix = new int[width * height];    
        img1.getPixels(pix, 0, width, 0, 0, width, height);     //widthΪΪλͼĿ
            
        int alpha=0xFF<<24;    
        for (int i = 0; i < height; i++) {      
            for (int j = 0; j < width; j++) {      
                int color = pix[width * i + j]; 
                //סAlphaֵӦΪ00ҪΪffȻͲǻҶͼ
                int red = ((color & 0x00FF0000) >> 16);      
                int green = ((color & 0x0000FF00) >> 8);      
                int blue = color & 0x000000FF;      
              //Щ˻ὫɫֵȻ3һЩ˵0.3  0.59  0.11ı
              //ǱȽϺõ
                color = (int)( (float)red*0.3 + (float)green*0.59 + (float)blue*0.11);
                color = alpha | (color << 16) | (color <<8) | color;      
                pix[width * i + j] = color;    
            }    
        }    
        Bitmap result=Bitmap.createBitmap(width, height, Config.RGB_565);    
        result.setPixels(pix, 0, width, 0, 0,width, height);    
        return result;    
    }   
	
	public static void printCustomImage(Resources resources, BluetoothPrinter mPrinter) {
		mPrinter.init();
		// TODO Auto-generated method stub
		
		PrintGraphics pg = new PrintGraphics();
		/*
		 * ʼĿΪһѡ 158mmͺŴӡʵʿ48mm48*8=384px
		 * 280mmͺŴӡʵʿ72mm72*8=576px
		 * Ϊĸ߶Ƶģڴ䷽濼ҪС4MȽϺʣ ԤΪȵ10
		 */
		//pg.initCanvas(576);
		/*
		 * ʼʣĬУ 1 2ûɫΪɫ 3ͼΪģʽ
		 */
		//pg.initPaint();
		
		// init pg.initCanvas(550)pg.initPaint(), T9ӡΪ72mm,Ϊ47mm.
		pg.init(PrinterType.T9);

		/*
		 * ͼƬ: drawImage(float x, float y, String path)
		 * (x,y)ָͼƬ϶ꡣ
		 */
		pg.drawImage(0, 0, "/sdcard/sp1.jpg");

		// ʵ
		FontProperty fp = new FontProperty();

		/*
		 * ʼ庯
		 * setFont(boolean bBold, boolean bItalic, boolean
		 * bUnderLine, boolean bStrikeout, int iSize, Typeface sFace)
		 * 1Ƿ壨ȡֵΪtrue/false ,Ϊ,ӡ.
		 * 2Ƿб壨ȡֵΪtrue/false
		 * 3Ƿ»ߣȡֵΪtrue/false 
		 * 4ǷɾߣȡֵΪtrue/false
		 * 5СȡֵΪһ 
		 * 6ͣһΪnullʾʹϵͳĬ壩
		 */
		fp.setFont(false, false, false, false, 28, null);
		// ͨʼû
		pg.setFontProperty(fp);
		/*
		 * ıdrawTaxt(float x, float y, String nStr)
		 * (x,y)ָı꣬yܵ0
		 */
		// pg.drawText(160, 80, "˼ؿƼչ޹˾");

		// ȺsetLinewidth(float w)
		pg.setLineWidth(8);
		/*
		 * drawLine(float x1, float y1, float x2, float y2)
		 * (x1,y1)ʾ꣬(x2,y2)ʾյ
		 */
		pg.drawLine(0, 180, 576, 180);
		// ע⣺ıʱһҪȻָ0

		pg.setLineWidth(0);
		fp.setFont(false, false, false, false, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 200, resources.getString(R.string.text_common_point18));

		fp.setFont(false, false, true, false, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 220, resources.getString(R.string.text_underLine_point18));

		fp.setFont(false, false, false, true, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 240, resources.getString(R.string.text_strike_point18));

		fp.setFont(true, true, true, true, 24, null);
		pg.setFontProperty(fp);
		pg.drawText(20, 270, resources.getString(R.string.text_point24));

		

		pg.setLineWidth(2);
		pg.drawLine(0, 300, 576, 300);
		/*
		 * ԲԲdrawEllips(float x1, float y1, float x2, float y2)
		 * (x1,y1)ԲӾλ͵ϵ (x2,y2)ԲӾλ͵µ
		 */
		pg.drawEllips(20, 320, 340, 480);
		pg.drawEllips(360, 320, 520, 480);
		/*
		 * ƾλͺdrawRectangle(float x1, float y1, float x2, float
		 * y2) (x1,y1)Ǿλ͵ϵ (x2,y2)Ǿλ͵µ
		 */
		pg.drawRectangle(20, 500, 340, 660);
		pg.drawRectangle(360, 500, 520, 660);
		pg.drawLine(0, 680, 576, 680);
		pg.setLineWidth(5);
		pg.drawEllips(20, 700, 340, 860);
		pg.drawEllips(360, 700, 520, 860);
		pg.drawRectangle(20, 880, 340, 1040);
		pg.drawRectangle(360, 880, 520, 1040);

		pg.setLineWidth(2);
		pg.drawLine(0, 1050, 576, 1050);

		pg.setLineWidth(0);
		fp.setFont(false, false, false, false, 18, null);
		pg.setFontProperty(fp);
		pg.drawText(50, 400, resources.getString(R.string.company_name));
		fp.setFont(false, false, false, false, 24, null);
		pg.setFontProperty(fp);
		pg.drawText(160, 580, resources.getString(R.string.company_name));

		// pg.printPng();

		mPrinter.printImage(pg.getCanvasImage());
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE,2);
	}
	
	public static void printTable(Resources resources, BluetoothPrinter mPrinter) {
		mPrinter.init();
		// TODO Auto-generated method stub
		//getTable:1,ضŷָ; 2,ָ; 
		//3,ռַ,2,Ӣ1. ĬܹҪ48
		//񳬳ֻһдӡ.ֶ,ɼ\n.
		mPrinter.setCharacterMultiple(0, 0);
		String column = resources.getString(R.string.note_title);
		Table table;
		if (mPrinter.getCurrentPrintType() == PrinterType.TIII || mPrinter.getCurrentPrintType() == PrinterType.T5)
		{
			table = new Table(column, ";",new int[]{12,6,6,6});
		}else{
			table = new Table(column, ";",new int[]{18,8,8,8});
		}
		
		table.add("1," + resources.getString(R.string.coffee) + ";	    2.00;    5.00;   10.00");
		table.add("2," + resources.getString(R.string.tableware) + ";   2.00;   5.00;    10.00");
		table.add("3," + resources.getString(R.string.frog) + ";   1.00;   68.00;   68.00");
		table.add("4," + resources.getString(R.string.cucumber) + ";   1.00;   4.00;    4.00");
		table.add("5," + resources.getString(R.string.peanuts) + "; 1.00;   5.00;    5.00");
		table.add("6," + resources.getString(R.string.rice) + ";	    1.00;   2.00;    2.00");
		mPrinter.printTable(table);
	}
	
	public static void printTable1(Resources resources,BluetoothPrinter mPrinter) {
		mPrinter.init();
		// TODO Auto-generated method stub
		String column = resources.getString(R.string.note_title);
		Table table;
		if (mPrinter.getCurrentPrintType() == PrinterType.TIII || mPrinter.getCurrentPrintType() == PrinterType.T5)
		{
			table = new Table(column, ";",new int[]{12,6,6,7});
		}else{
			table = new Table(column, ";",new int[]{20,10,8,10});
		}
		table.add("0009480\n" + resources.getString(R.string.bags) + ";10.00;1;10.00");
		table.add("0007316\n" + resources.getString(R.string.hook) + ";5.00;2;10.00");
		table.add("0007392\n" + resources.getString(R.string.umbrella) + ";5.00;3;15.00");
		table.setHasSeparator(true);
		mPrinter.printTable(table);
	}
	
	public static void printTitle(Resources resources, BluetoothPrinter mPrinter) {
		// TODO Auto-generated method stub
		mPrinter.init();
		
		//setTitle:1,; 2,; 3,logo
		//ӡЧΪlogoһ,Ϊlogo,Ϊ; һ. ʾ.
		mPrinter.setTitle(resources.getString(R.string.company_name), resources.getString(R.string.company_sub_title), BitmapFactory.decodeResource(resources, R.drawable.logo));
		//mPrinter.printText("\n1.logo,͸:\n");
		mPrinter.printTitle();
		
		mPrinter.setTitle(null, resources.getString(R.string.company_sub_title), BitmapFactory.decodeResource(resources, R.drawable.logo));
		//mPrinter.printText("\n2.logo͸:\n");
		mPrinter.printTitle();
		
		mPrinter.setTitle(resources.getString(R.string.company_name), null, BitmapFactory.decodeResource(resources, R.drawable.logo));
		//mPrinter.printText("\n3.logo:\n");
		mPrinter.printTitle();
		
		mPrinter.setTitle(resources.getString(R.string.company_name), resources.getString(R.string.company_sub_title), null);
		//mPrinter.printText("\n4.͸:\n");
		mPrinter.printTitle();
		
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE, 2);
	}

	public static void printTextToOther(BluetoothPrinter mPrinter, String content) {
		mPrinter.init();
		//и
		mPrinter.setPrinter(BluetoothPrinter.COMM_LINE_HEIGHT, 80);
		
		//ӡı
		mPrinter.printText(content);
		//2
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_WAKE_PAPER_BY_LINE, 2);
	}

	public static void printTextToT9(BluetoothPrinter mPrinter, String content) {
		mPrinter.init();
		//и
		mPrinter.setPrinter(BluetoothPrinter.COMM_LINE_HEIGHT, 80);
		
		//ӡı
		mPrinter.printText(content);
		//
		mPrinter.setPrinter(BluetoothPrinter.COMM_PRINT_AND_NEWLINE);
	}

	public static void printBarCode(BluetoothPrinter mPrinter, String codeNum, String type) {
		mPrinter.init();
		// TODO Auto-generated method stub
		Log.i("12345", "xxxxxxxxxxxxxxxxxxx");
		mPrinter.setCharacterMultiple(0, 0);
		/**
		 * ߾,nL,nH
		 * ÿΪ(nL+nH*256)* ƶλ.
		 * ߾ԴӡעλӰ.
		 */
		mPrinter.setLeftMargin(15, 0);
		//mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN,BluetoothPrinter.COMM_ALIGN_LEFT);
		
		/**
		 * 1:  2<=n<=6,ĬΪ2
		 * 2: ߶ 1<=n<=255,Ĭ162
		 * 3: עʹӡλ.0ӡ,1Ϸ,2·,3·,ĬΪ0
		 * 4: .BluetoothPrinter.BAR_CODE_TYPE_ ͷĳ,ĬΪCODE128
		 */
		byte codeType = BluetoothPrinter.BAR_CODE_TYPE_CODE128;
		if(type.equals("UPC_A")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_UPC_A;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("UPC_E")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_UPC_E;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("JAN13(EAN13)")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_JAN13;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("JAN8(EAN8)")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_JAN8;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("CODE39")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_CODE39;	
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("ITF")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_ITF;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("CODEBAR")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_CODABAR;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("CODE93")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_CODE93;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("CODE128")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_CODE128;
			mPrinter.setBarCode(2, 150, 2, codeType);
		}else if(type.equals("PDF417")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_PDF417;
			mPrinter.setBarCode(2, 3, 6, codeType);
		}else if(type.equals("DATAMATRIX")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_DATAMATRIX;
			mPrinter.setBarCode(2, 3, 6, codeType);
		}else if(type.equals("QRCODE")){
			codeType = BluetoothPrinter.BAR_CODE_TYPE_QRCODE;
			mPrinter.setBarCode(2, 3, 6, codeType);
		}
		
		
		mPrinter.printBarCode(codeNum);
		
		//mPrinter.setBarCode(2, 150, 2, BluetoothPrinter.BAR_CODE_TYPE_CODE39);
		//mPrinter.printBarCode(codeNum);
		//
		//mPrinter.setBarCode(2, 150, 2, BluetoothPrinter.BAR_CODE_TYPE_CODE93);
		//mPrinter.printBarCode(codeNum);
		
//		mPrinter.setBarCode(2, 150, 2, BluetoothPrinter.BAR_CODE_TYPE_CODE128);
//		mPrinter.printBarCode(codeNum);
		
	}
	
	public static void printXDJANote(Resources resource,BluetoothPrinter mPrinter)
	{
		mPrinter.init();
		
		String content; //һӡ
		//ӡ̧ͷ,
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_CENTER);
		content = "֣йֽͨѲ߾֧";
		mPrinter.printText(content + "\n");
		
		//ӡ.,һ
		// ֺźһ
		mPrinter.setCharacterMultiple(0, 1);

		content = "ͨ׳򴦷";
		mPrinter.printText(content);

		//mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		// ֺʹĬ
		mPrinter.setCharacterMultiple(0, 0);
		
		//ӡż
		content = "ţ4101051700000012";
		mPrinter.printText("\n" + content + "\n");
		
		mPrinter.setBarCode(2, 70, 0, BluetoothPrinter.BAR_CODE_TYPE_CODE128);
		mPrinter.printBarCode("4101051700000012");
		
		//ӡϢ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		
		StringBuffer bodyContent = new StringBuffer();
		bodyContent.append("\n" + "ˣ\n");
		bodyContent.append("ʻ֤ţ410100350774\n");
		bodyContent.append("ʻ֤/֤룺410122197912182710\n");
		bodyContent.append("׼ݳͣC1E\n");
		bodyContent.append("ϵʽ12345678911\n");
		bodyContent.append("ƺţԥA66E88\n");
		bodyContent.append("ͣСͽγ\n");
		bodyContent.append("֤أԥA\n");
		bodyContent.append("ˣ2012052516ʱ39" +
				"ʡ֣н·ʵʩͨźŵƹ涨ͬеΥΪ13022" +
				"ΥˡΥ涨ݣл񹲺͹·ȫ֮涨200Ԫ\n" +
				"ֱʮڵнɷڲɵģÿհİٷ֮Ӵ\n" +
				"粻յ֮ʮ֣йֻ֣飻" +
				"աл񹲺͹Ϸ֣жԺϡ" +
				"ص㣺ʡ֣н·");
		mPrinter.printText(bodyContent + "\n");
		
		//ӡǩ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		content = "ͨ:";
		mPrinter.printText(content + "\n");
		
		Bitmap sign = BitmapFactory.decodeResource(resource, R.drawable.wu); 
		//mPrinter.setLeftMargin(8, 1);
		mPrinter.printImage(sign,10);
		
		//ӡǩʱ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_RIGHT);
		content = "20120525";
		mPrinter.printText(content + "\n\n");
		
		//ӡǩ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		content = "ǩ____________";
		mPrinter.printText(content + "\n");
		
		//ӡǩʱ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_RIGHT);
		content = "           ";
		mPrinter.printText(content + "\n\n");
		
		//ӡǩʱ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_LEFT);
		content = "ע_______________";
		mPrinter.printText(content + "\n\n");
		
		//ӡ۷Ϣ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_CENTER);
		content = "ݡʻ֤ʹù涨3";
		mPrinter.printText(content + "\n");
		
		//ӡϢ
		mPrinter.setPrinter(BluetoothPrinter.COMM_ALIGN, BluetoothPrinter.COMM_ALIGN_CENTER);
		content = "-----------------------\n" + "һʹﱻ";
		mPrinter.printText(content + "\n\n\n\n");
	}
}
